[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'video' (#rtl)

# GetVideoModeData

Get the specifications for a video mode

## Declaration

Source position: videoh.inc line 150

`function GetVideoModeData(`
`Index: Word;`
`var Data: TVideoMode`
`):Boolean;`

## Description

GetVideoModeData returns the characteristics of the Index-th video mode in Data. Index is zero based, and has a maximum value of GetVideoModeCount-1. If the current driver does not support setting of modes (GetVideoModeCount=1) and Index is zero, the current mode is returned.

The function returns True if the mode data was retrieved successfully, False otherwise.

For an example, see GetVideoModeCount.

## Errors

In case Index has a wrong value, False is returned.

## See also

GetVideoModeCount |  | Get the number of video modes supported by the driver.
SetVideoMode |  | Set current video mode.
GetVideoMode |  | Return current video mode